# MSP::CCS::Mollweide Class Reference

`#include <Mollweide.h>`

Inheritance diagram for MSP::CCS::Mollweide:

List of all members.

## Public Member Functions

| Mollweide (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing)
| Mollweide (const Mollweide &m)
| ~Mollweide (void)
Mollweide & | operator= (const Mollweide &m)
MapProjection3Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 98 of file Mollweide.h.

## Constructor & Destructor Documentation

Mollweide::Mollweide | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 120 of file Mollweide.cpp.

Mollweide::Mollweide | ( | const Mollweide & | m | ) |

Definition at line 204 of file Mollweide.cpp.

Mollweide::~Mollweide | ( | void |  | ) |

Definition at line 222 of file Mollweide.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Mollweide::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 270 of file Mollweide.cpp.

MSP::CCS::GeodeticCoordinates * Mollweide::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 339 of file Mollweide.cpp.

MapProjection3Parameters * Mollweide::getParameters | ( |  | ) | const

Definition at line 250 of file Mollweide.cpp.

Mollweide & Mollweide::operator= | ( | const Mollweide & | m | ) |

Definition at line 227 of file Mollweide.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mollweid/Mollweide.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mollweid/Mollweide.cpp